﻿$size: 30px;

#vaulteron-iframe-wrapper__vaulteron-login-recommendation-button-id {
	iframe {
		transition: width .5s ease-in-out;
		overflow: hidden;
		position: fixed;
		top: 30vh;
		right: 0;
		width: 30px;
		height: 35px;
		z-index: 2000000000;
		border: none;

		&:hover {
			width: 200px !important;
		}
	}
}

#vaulteron-login-recommendation-button-id {
	width: 200px;
	height: $size;
	background: white;
	z-index: 20000000;
	border-top-left-radius: $size;
	border-bottom-left-radius: $size;
	overflow: hidden;
	cursor: pointer;
	border: #c9c9c9b3 1px solid;

	.vaulteron-login-recommendation-button-container {
		width: 200px;
		height: $size;
		display: flex;
		flex-wrap: nowrap;

		.vaulteron-logo-container {
			.vaulteron-logo {
				svg {
					width: 28px;
					height: 27px;
					padding: 2px;
				}
			}
		}

		.content-container {
			border-left: 2px solid #c9c9c947;
			padding-left: 2px;
			margin-left: 0;
			flex: 1;
			display: flex;
			flex-wrap: nowrap;
			flex-direction: row;

			.login-button {
				display: flex;
				align-items: center;
				justify-content: center;
				cursor: pointer;
				flex: 1;
				font-size: 0.7rem;

				&:hover {
					text-decoration: underline;
				}
			}

			.vaulteron-close-icon {
				width: 20px;
				margin-right: 2px;
				padding: 2px;
				display: flex;
				justify-content: center;
				align-items: center;

				&:hover svg {
					width: 16px;
					height: 16px;
					margin-left: 0;
					fill: black;
				}

				svg {
					width: 15px;
					height: 15px;
					padding: 2px;
					margin-left: 2px;
					fill: #c9c9c9b3;
				}
			}
		}
	}
}
	
